org.encog.neural.pattern

## Class ART1Pattern

- java.lang.Object
- - org.encog.neural.pattern.ART1Pattern

- All Implemented Interfaces:
    NeuralNetworkPattern

      public class ART1Pattern
      extends Object
      implements NeuralNetworkPattern

  Pattern to create an ART-1 neural network.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ART1Pattern()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHiddenLayer(int count)` This will fail, hidden layers are not supported for this type of network.
    `void` | `clear()` Clear any properties set for this network.
    `MLMethod` | `generate()` Generate the neural network.
    `double` | `getA1()`
    `double` | `getB1()`
    `double` | `getC1()`
    `double` | `getD1()`
    `double` | `getL()`
    `double` | `getVigilance()`
    `void` | `setA1(double a1)` Set the A1 parameter.
    `void` | `setActivationFunction(ActivationFunction activation)` This method will throw an error, you can't set the activation function for an ART1.
    `void` | `setB1(double b1)` Set the B1 parameter.
    `void` | `setC1(double c1)` Set the C1 parameter.
    `void` | `setD1(double d1)` Set the D1 parameter.
    `void` | `setInputNeurons(int count)` Set the input neuron (F1 layer) count.
    `void` | `setL(double l)` Set the L parameter.
    `void` | `setOutputNeurons(int count)` Set the output neuron (F2 layer) count.
    `void` | `setVigilance(double vigilance)` Set the vigilance for the network.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ART1Pattern

          public ART1Pattern()

  - ### Method Detail

    - #### addHiddenLayer

          public void addHiddenLayer(int count)

      This will fail, hidden layers are not supported for this type of network.
      Specified by:
        `addHiddenLayer` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - Not used.

    - #### clear

          public void clear()

      Clear any properties set for this network.
      Specified by:
        `clear` in interface `NeuralNetworkPattern`

    - #### generate

          public MLMethod generate()

      Generate the neural network.
      Specified by:
        `generate` in interface `NeuralNetworkPattern`
      Returns:
        The generated neural network.

    - #### getA1

          public double getA1()

      Returns:
        The A1 parameter.

    - #### getB1

          public double getB1()

      Returns:
        The B1 parameter.

    - #### getC1

          public double getC1()

      Returns:
        The C1 parameter.

    - #### getD1

          public double getD1()

      Returns:
        The D1 parameter.

    - #### getL

          public double getL()

      Returns:
        The L parameter.

    - #### getVigilance

          public double getVigilance()

      Returns:
        The vigilance for the network.

    - #### setA1

          public void setA1(double a1)

      Set the A1 parameter.
      Parameters:
        `a1` - The new value.

    - #### setActivationFunction

          public void setActivationFunction(ActivationFunction activation)

      This method will throw an error, you can't set the activation function for an ART1. type network.
      Specified by:
        `setActivationFunction` in interface `NeuralNetworkPattern`
      Parameters:
        `activation` - The activation function.

    - #### setB1

          public void setB1(double b1)

      Set the B1 parameter.
      Parameters:
        `b1` - The new value.

    - #### setC1

          public void setC1(double c1)

      Set the C1 parameter.
      Parameters:
        `c1` - The new value.

    - #### setD1

          public void setD1(double d1)

      Set the D1 parameter.
      Parameters:
        `d1` - The new value.

    - #### setInputNeurons

          public void setInputNeurons(int count)

      Set the input neuron (F1 layer) count.
      Specified by:
        `setInputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The input neuron count.

    - #### setL

          public void setL(double l)

      Set the L parameter.
      Parameters:
        `l` - The new value.

    - #### setOutputNeurons

          public void setOutputNeurons(int count)

      Set the output neuron (F2 layer) count.
      Specified by:
        `setOutputNeurons` in interface `NeuralNetworkPattern`
      Parameters:
        `count` - The output neuron count.

    - #### setVigilance

          public void setVigilance(double vigilance)

      Set the vigilance for the network.
      Parameters:
        `vigilance` - The new value.

Copyright © 2014. All Rights Reserved.